Subject: Re: bug#11464: 24.1.50; pos-visible-in-window-p returns a false positive with bidi text

From: Ari Roponen <[email-masked]>
Date: Thu, 17 May 2012 20:54:05 +0300

Eli Zaretskii <[email-masked]> writes:

>> From: Ari Roponen <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 17 May 2012 07:52:11 +0300
>> 
>> bottom_y = 270
>> it.last_visible_y = 256
>> top_y = 255
>> window_top_y = 0
>
> Now I'm totally bewildered.  I don't understand how this case is at
> all relevant to the bug.  Please bear with me while I explain what
> puzzles me, and please point out what I missed.

Sorry for being unclear. I gave values for three cases, but the bug only
happened in two of them. Your patch fixed the second case, my tweak
fixed the first case, and the third one (i.e. the one with the above
values) worked all the time.

-- 
Ari Roponen